be.ehealth.business.mycarenetdomaincommons.exception

## Class InvalidBlobContentConnectorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - be.ehealth.technicalconnector.exception.ConnectorException
      - - be.ehealth.technicalconnector.exception.TechnicalConnectorException
        - - be.ehealth.business.mycarenetdomaincommons.exception.InvalidBlobContentConnectorException

- All Implemented Interfaces:
    Serializable

      public class InvalidBlobContentConnectorException
      extends TechnicalConnectorException

  Thrown when the content of the blob is invalid.
  Used in ChapterIV
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidBlobContentConnectorException(InvalidBlobContentConnectorExceptionValues errorCodeValue, Blob blob)`
    `InvalidBlobContentConnectorException(InvalidBlobContentConnectorExceptionValues errorCodeValue, Blob blob, byte[] decompressedBlob, Object... params)`
    `InvalidBlobContentConnectorException(InvalidBlobContentConnectorExceptionValues errorCodeValue, Blob blob, Object... params)`
    `InvalidBlobContentConnectorException(InvalidBlobContentConnectorExceptionValues errorCodeValue, Blob blob, Throwable e, Object... params)`
    `InvalidBlobContentConnectorException(InvalidBlobContentConnectorExceptionValues errorCodeValue, byte[] decompressedBlob)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Blob` | `getBlob()`
    `byte[]` | `getDecompressedBlob()`

    - ### Methods inherited from class be.ehealth.technicalconnector.exception.TechnicalConnectorException

      `getCategory`

    - ### Methods inherited from class be.ehealth.technicalconnector.exception.ConnectorException

      `getErrorCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidBlobContentConnectorException

          public InvalidBlobContentConnectorException(InvalidBlobContentConnectorExceptionValues errorCodeValue,
                                                      Blob blob,
                                                      byte[] decompressedBlob,
                                                      Object... params)

      Parameters:
        `errorCodeValue` -
        `causeError` -
        `params` -

    - #### InvalidBlobContentConnectorException

          public InvalidBlobContentConnectorException(InvalidBlobContentConnectorExceptionValues errorCodeValue,
                                                      Blob blob,
                                                      Object... params)

      Parameters:
        `errorCodeValue` -
        `causeError` -
        `params` -

    - #### InvalidBlobContentConnectorException

          public InvalidBlobContentConnectorException(InvalidBlobContentConnectorExceptionValues errorCodeValue,
                                                      Blob blob)

    - #### InvalidBlobContentConnectorException

          public InvalidBlobContentConnectorException(InvalidBlobContentConnectorExceptionValues errorCodeValue,
                                                      byte[] decompressedBlob)

    - #### InvalidBlobContentConnectorException

          public InvalidBlobContentConnectorException(InvalidBlobContentConnectorExceptionValues errorCodeValue,
                                                      Blob blob,
                                                      Throwable e,
                                                      Object... params)

      Parameters:
        `errorCodeValue` -
        `e` -
        `params` -

  - ### Method Detail

    - #### getDecompressedBlob

          public byte[] getDecompressedBlob()

      Returns:
        the decompressedBlob

    - #### getBlob

          public Blob getBlob()

      Returns:
        the blob

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.